/*********************************************
(c) 1999-2003 Die Informationsgesellschaft mbH
www.informationsgesellschaft.com
*********************************************/

/********************************************************************
  Function getDocumentImage
	Holt eine Referenz auf ein im HTML-Dokument enthaltenes Bild als Objekt
	der Javascript-Klasse Image. Je nach Browser funktioniert dies frhestens
	nach dem Laden der Seite.
  Parameter:
		cImageName: Name des Bildes in der HTML-Seite (ber Attribut name="")
  Rckgabewert: Image-Objekt bzw. null
  Datum: 2.03.02
*********************************************************************/
function getDocumentImage (cImageName) {
	var oImg = document.images[cImageName];
	if ((oImg == null || oImg+''=='undefined') && document.layers) {
		for (var i=0; i<document.layers.length; i++) {
			oImg = document.layers[i].document.images[cImageName];
			if (oImg != null && oImg+''!='undefined') return (oImg);
		}
	}
	return (oImg);
}


/********************************************************************
  Function mo
	Bildaustausch bei Mouseover. 
	
	Voraussetzungen: 
	 1. Der Name des Bildes lautet "I...". Das 'I' darf im Parameter 
	    cButton nicht angegeben werden.
	 2. Die inaktive Version der Bilddatei endet mit '0.gif' bzw. '0.jpg'; die
	    aktive Version endet mit '1.gif' bzw. '1.jpg'.
			
	Beispiel:
	    <a href="" onmouseover="return mo('Demo',1,'Demonstration')" onmouseout="return('Demo')">
				<img name="IDemo" src="demo0.gif">
			</a> 
			
  Parameter:
		cButton: Name des Bildes (ohne ein automatisch vorne hinzugefges 'I') 
		         in der HTML-Seite (ber Attribut name="")
		bOver: Mouseover (true) oder Mouseout (false)
		cStatus: In der Statuszeile anzuzeigender Text
  Rckgabewert: true
  Datum: 13.03.02
*********************************************************************/
function mo (cButton, bOver, cStatus) {
	if (cButton) {
		var oImage = getDocumentImage ('I' + cButton);
		if (oImage) {
		  cSrc = oImage.src;
			var cTeil = cSrc.substr(0,cSrc.length - 5);
			var cExt = cSrc.substr (cSrc.lastIndexOf('.'));
			cSrc = cTeil + (bOver ? '1' : '0') + cExt;
			oImage.src = cSrc;
		}
	}
	window.status = (cStatus ? cStatus : '');
	return (true);
}
	

/********************************************************************
  Function moMap
	Bildaustausch bei Mouseover ber eine Imagemap. 
	
	Voraussetzungen: 
	 1. Der Name des Bildes lautet "I...". Das 'I' darf im Parameter 
	    cButton nicht angegeben werden.
	 
	 2. Es existiert eine inaktive Version der Bilddatei (z.B. "demo.gif") und fr jeden
	    aktiven Bereich innerhalb der Map eigene Austausch-Grafik (z.B. "demo1.gif" bis "demo4.gif").
			
	Beispiel:
		<map name="demo">
			<area alt="" coords="0,0,10,10" onMouseOver="return mo('Demo',1,'Area 1')" onMouseOut="return mo('Demo')">
			<area alt="" coords="10,10,20,20" onMouseOver="return mo('Demo',2,'Area 2')" onMouseOut="return mo('Demo')">
		</map>
		<img name="IDemo" src="demo0.gif" usermap="#demo">
			
  Parameter:
		cButton: Name des Bildes (ohne ein automatisch vorne hinzugefges 'I') 
		         in der HTML-Seite (ber Attribut name="")
		nOver: Mouseover fr Bereich nOver oder Mouseout (false / 0)
		cStatus: In der Statuszeile anzuzeigender Text
  Rckgabewert: true
  Datum: 13.03.02
*********************************************************************/
function moMap (cButton, nOver, cStatus) {
	if (cButton) {
		var oImage = getDocumentImage ('I' + cButton);
		if (oImage) {
		  cSrc = oImage.src;
			var aMatches = cSrc.match (/(.*)\.(gif|jpg)/);
			aMatches[1] = aMatches[1].replace (/\d*$/, '');
			cSrc = aMatches[1] + (nOver ? nOver : '') + '.' + aMatches[2];
			oImage.src = cSrc;
		}
	}
	window.status = (cStatus ? cStatus : '');
	return (true);
}

function addSID (cURL) {
	if (SID && SID > ' ') cURL += (cURL.indexOf('?') >= 0 ? '&' : '?') + 'SID=' + SID;
	return (cURL);
}

function onResizePage (init) {  //reloads the window if Nav4 resized
	if (init==true) {
		with (navigator) {if ((appName=="Netscape")&&(parseInt(appVersion)==4)) {
	  document.pgW=innerWidth; document.pgH=innerHeight; }}
		window.onresize=onResizePage; 
	}
  else if (document.pgW && (innerWidth!=document.pgW || innerHeight!=document.pgH)) 		
		location.reload();
}
onResizePage (true);


